#!/bin/sh

if [ "$1" = '--web' ] ; then
    DOCINDEX=
    shift 1
else
    DOCINDEX='--document-index index.html'
fi

FILENAMES=${*:-'--all'}

moinconvert --input-dir docs/wiki \
            --output-dir docs/html \
            --input-page-sep '--' \
            --root Introduction \
            --theme mercurial --format html \
            --macros \
            $DOCINDEX \
            $FILENAMES
